package com.tinsae.crawler;

import java.net.MalformedURLException;

public class Main {
    public static void main(String[] args) {
        // Configuration
        String rootUrl = "https://crawler-test.com/";
        rootUrl = "https://goodnews.eu/";
        int maxThreads = 1500;
        int maxDepth = 5;
        String outputDir = "crawled_content";

        try {
            Crawler crawler = new Crawler(rootUrl, maxThreads, maxDepth, outputDir);
            crawler.start();
        } catch (MalformedURLException e) {
            System.err.println("Invalid root URL: " + e.getMessage());
        }
    }

}